<?php
// $Id: 

/**
 * @file
 * Definition of class TimelineNodeDate
 */

/**
 * This class provides a plugin to handle node's general temporal information
 */
class TimelineNodeDate extends TimelineDate {

  public function convertToIso8601($value, $field) {
    if (module_exists('date_api') && variable_get('date_api_version', 0) >= 5.2) {
      return date_convert($value, DATE_UNIX, DATE_ISO, date_get_timezone('date')) . 'Z';
    }
    else {
      return format_date($value + timeline_get_timezone(), 'custom', 'Y-m-d\TH:i:s\Z', '0', 'en');
    }
  }
  
  public function convertToGregorian($value, $field) {
     return format_date($value + timeline_get_timezone(), 'custom', 'M d Y G:i:s', '0', 'en');
  }

  public function convertToTimestamp($value, $field) {
    return $value + timeline_get_timezone();
  }
}
