<?php
// $Id: timeline.plugins.inc,v 1.1 2010/07/15 19:22:22 xamanu Exp $

/**
 * @file
 * CTools plugins declarations.
 */

/**
 * Break out for timeline_timeline_plugins().
 */
function _timeline_timeline_plugins() {
  $path = drupal_get_path('module', 'timeline') .'/plugins';

  $info = array();
  $info['TimelinePlugin'] = array(
    'hidden' => TRUE,
    'handler' => array(
      'class' => 'TimelinePlugin',
      'file' => 'TimelinePlugin.inc',
      'path' => $path,
    ),
  );
  $info['TimelineMissingPlugin'] = array(
    'hidden' => TRUE,
    'handler' => array(
      'class' => 'TimelineMissingPlugin',
      'file' => 'TimelinePlugin.inc',
      'path' => $path,
    ),
  );
  $info['TimelineDate'] = array(
    'hidden' => TRUE,
    'handler' => array(
      'parent' => 'FeedsPlugin',
      'class' => 'TimelineDate',
      'file' => 'TimelineDate.inc',
      'path' => $path,
    ),
  );
  $info['TimelineTheme'] = array(
    'hidden' => TRUE,
    'handler' => array(
      'parent' => 'FeedsPlugin',
      'class' => 'TimelineTheme',
      'file' => 'TimelineTheme.inc',
      'path' => $path,
    ),
  );
  $info['TimelineNodeDate'] = array(
    'handler_name' => 'views_handler_field_date',
    'hidden' => FALSE,
    'handler' => array(
      'parent' => 'TimelineDate',
      'class' => 'TimelineNodeDate',
      'file' => 'TimelineNodeDate.inc',
      'path' => $path,
    ),
  );
  $info['TimelineDateDate'] = array(
    'handler_name' => 'date_handler_field_multiple',
    'hidden' => FALSE,
    'handler' => array(
      'parent' => 'TimelineDate',
      'class' => 'TimelineDateDate',
      'file' => 'TimelineDateDate.inc',
      'path' => $path,
    ),
  );

  return $info;
}
